# Uses of Class
java.nio.channels.FileChannel.MapMode

Packages that use FileChannel.MapMode
Package
Description
java.nio.channels

## Uses of FileChannel.MapMode in java.nio.channels

Fields in java.nio.channels declared as FileChannel.MapMode
Modifier and Type
Field
Description
`static final FileChannel.MapMode`
FileChannel.MapMode.`PRIVATE`
`static final FileChannel.MapMode`
FileChannel.MapMode.`READ_ONLY`
`static final FileChannel.MapMode`
FileChannel.MapMode.`READ_WRITE`
Methods in java.nio.channels with parameters of type FileChannel.MapMode
Modifier and Type
Method
Description
`abstract MappedByteBuffer`
FileChannel.`map(FileChannel.MapMode mode, long position, long size)`